#!/usr/bin/perl -w

# ====================================================================
# pre-commit-empty-message.pl checks if the commit message is empty
#
# This script requires Subversion 1.2.0 or later.
# ====================================================================

use 5.006;
use warnings;
use strict;
use Carp;

# Svnlook path.
my $svnlook = '/usr/bin/svnlook';
my $mailaddr = 'cipux-devel@cipux.org';
my $message = 'EXCEPTION: empty commit message!';
$message .= "if you feel this is an error, please write a mail to $mailaddr!";

if( -x $svnlook ){

my $repos = shift;
my $txn = shift;
my @svnlook = qx($svnlook  log -t "$txn" "$repos" 2> /dev/null);

qx(echo "1 $txn 2 $repos" >> /tmp/cipux.log):

my @foo = grep q{[a-zA-Z0-9]}, @svnlook;
if(scalar @foo < 1){
  warn $message;
  exit 1;
}


}else{
    warn "$0: required program `$svnlook' is not executable!";
    exit 1;
}





exit 0;
